Subject: bug#69272: closed (Re: [bug#69272] [PATCH v2 4/4] gnu: Add prosody-vcard-muc.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Mar 2024 13:02:02 +0000

Your bug report

#69272: [PATCH 0/4] Refactor prosody modules, and add prosody-vcard-muc.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69272: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69272
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69272] [PATCH v2 4/4] gnu: Add prosody-vcard-muc.
From: Liliana Marie Prikler <[email-masked]>
To: Carlo Zancanaro <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Mar 2024 14:00:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, dem 02.03.2024 um 22:27 +1100 schrieb Carlo Zancanaro:
> P.S. Apologies that you'll get this message twice. I forgot to Cc the
> bug tracer on the first attempt.
Apologies from me for not checking earlier.

Pushed now, thanks!

Subject: [PATCH 0/4] Refactor prosody modules, and add prosody-vcard-muc.
From: Carlo Zancanaro <[email-masked]>
To: [email-masked]
Date: Mon, 19 Feb 2024 23:31:03 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

I wanted to add prosody-vcard-muc, which is a prosody module. When I saw the
code for the two existing modules I thought it could use a refactor before
adding it, so I did that, too.

I have successfully reconfigured my prosody server, which uses all three of
the Guix-packaged prosody modules, with this change.

Carlo Zancanaro (4):
  gnu: Extract prosody-module from existing prosody modules.
  gnu: Use copy-build-system for prosody modules.
  gnu: Update prosody modules to the newest revision.
  gnu: Add prosody-vcard-muc.

 gnu/packages/messaging.scm | 88 +++++++++++++++++---------------------
 1 file changed, 39 insertions(+), 49 deletions(-)

base-commit: 07ecdb99b6c4b6b3e993d08034138bf69414020b
-- 
2.41.0